X2Go Bug report logs - #140
x2gobroker: agent-query-mode in sessionprofiles ignored

version graph

Package: x2gobroker; Maintainer for x2gobroker is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2gobroker is src:x2gobroker.

Reported by: Anders Bruun Olsen <abo@dsl.dk>

Date: Wed, 6 Mar 2013 14:33:01 UTC

Severity: normal

Tags: wontfix

Found in version 0.0.0.6

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#140; Package x2gobroker. (Wed, 06 Mar 2013 14:33:01 GMT) (full text, mbox, link).


Acknowledgement sent to Anders Bruun Olsen <abo@dsl.dk>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 06 Mar 2013 14:33:01 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Anders Bruun Olsen <abo@dsl.dk>
To: submit@bugs.x2go.org
Subject: x2gobroker: agent-query-mode in sessionprofiles ignored
Date: Wed, 6 Mar 2013 15:22:52 +0100
[Message part 1 (text/plain, inline)]
Package: x2gobroker
Version: 0.0.0.6

Having agent-query-mode=SSH set in a profile in
/etc/x2go/broker/x2gobroker-sessionprofiles.conf is ignored. Instead
default-agent-query-mode from /etc/x2go/x2gobroker.conf is used.
When trying to login with x2goclient, this is logged on x2gobroker:

2013-03-06 15:17:23,997 - broker - DEBUG -
base_broker.X2GoBroker.get_agent_query_mode(): found
default-agent-query-mode in global config section: local

I see that the new autologin (which works) uses self.get_profile_broker()
instead of self.config to access settings. This might be the source of the
problem?

-- 
Anders Bruun Olsen
It-ansvarlig
Det Danske Sprog- og Litteraturselskab
(Society for Danish Language and Literature)
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#140; Package x2gobroker. (Wed, 06 Mar 2013 17:18:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 06 Mar 2013 17:18:02 GMT) (full text, mbox, link).


Message #10 received at 140@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Anders Bruun Olsen <abo@dsl.dk>, 140@bugs.x2go.org
Cc: control@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#140: x2gobroker: agent-query-mode in sessionprofiles ignored
Date: Wed, 06 Mar 2013 18:07:30 +0100
[Message part 1 (text/plain, inline)]
tag #140 wontfix
thanks

Hi Anders,

On Mi 06 Mär 2013 15:22:52 CET Anders Bruun Olsen wrote:

> Package: x2gobroker
> Version: 0.0.0.6
>
> Having agent-query-mode=SSH set in a profile in
> /etc/x2go/broker/x2gobroker-sessionprofiles.conf is ignored. Instead
> default-agent-query-mode from /etc/x2go/x2gobroker.conf is used.
> When trying to login with x2goclient, this is logged on x2gobroker:
>
> 2013-03-06 15:17:23,997 - broker - DEBUG -
> base_broker.X2GoBroker.get_agent_query_mode(): found
> default-agent-query-mode in global config section: local
>

Indeed the option agent-query-mode is ignored in  
x2gobroker-sessionprofiles.conf, as it is only available in the  
backend sections of x2gobroker.conf.

The more generic agent-query-mode definitely is SSH. The mode LOCAL is  
only sensible if the broker serves a single multi-node farm and is  
part of that farm (or at least has access to the session DB of that  
single farm). One possible use case is the Debian Edu / Skolelinux  
setup.

And: to make the broker install out-of-the-box I have to set the  
default to LOCAL, though.

Please add agent-query-mode to the inifile backend in x2gobroker.conf  
or set the global option default-agent-query-mode to SSH.

> I see that the new autologin (which works) uses self.get_profile_broker()
> instead of self.config to access settings. This might be the source of the
> problem?

I could not find the usage of self.get_profile_broker() in  
self.get_agent_query_mode(). If I missed something, can you point me  
to the exact line?

Greets,
Mike



-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#140; Package x2gobroker. (Wed, 06 Mar 2013 17:18:02 GMT) (full text, mbox, link).


Acknowledgement sent to Anders Bruun Olsen <abo@dsl.dk>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 06 Mar 2013 17:18:02 GMT) (full text, mbox, link).


Message #15 received at 140@bugs.x2go.org (full text, mbox, reply):

From: Anders Bruun Olsen <abo@dsl.dk>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: 140@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#140: x2gobroker: agent-query-mode in sessionprofiles ignored
Date: Wed, 6 Mar 2013 18:15:26 +0100
[Message part 1 (text/plain, inline)]
2013/3/6 Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
>
> Indeed the option agent-query-mode is ignored in
> x2gobroker-sessionprofiles.**conf, as it is only available in the backend
> sections of x2gobroker.conf.
>

Right. My mistake. My understanding was "per profile", not "per backend",
even though it clearly says per-broker-backend in the comment. Concept
confusion I'm afraid.


> I see that the new autologin (which works) uses self.get_profile_broker()
>> instead of self.config to access settings. This might be the source of the
>> problem?
>
> I could not find the usage of self.get_profile_broker() in
> self.get_agent_query_mode(). If I missed something, can you point me to the
> exact line?
>

In branch 0.0.0.6 from git:
abo@x2go-broker:~/x2gobroker/x2gobroker$ grep -n self.get_profile_broker
brokers/base_broker.py
478:        _profile = self.get_profile_broker(profile_id)
504:        _profile = self.get_profile_broker(profile_id)

But that was just me trying to figure out why the autologin setting was
being picked up from x2gobroker-sessionprofiles.conf while agent-query-mode
wasn't. Since the answer is, that it works as intended, this last part is a
non-issue as well.

-- 
Anders Bruun Olsen
It-ansvarlig
Det Danske Sprog- og Litteraturselskab
(Society for Danish Language and Literature)
[Message part 2 (text/html, inline)]

Added tag(s) wontfix. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Wed, 06 Mar 2013 17:18:03 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#140; Package x2gobroker. (Wed, 06 Mar 2013 17:42:39 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 06 Mar 2013 17:42:39 GMT) (full text, mbox, link).


Message #22 received at 140@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Anders Bruun Olsen <abo@dsl.dk>
Cc: 140@bugs.x2go.org, control@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#140: x2gobroker: agent-query-mode in sessionprofiles ignored
Date: Wed, 06 Mar 2013 18:42:21 +0100
[Message part 1 (text/plain, inline)]
close #140
thanks

Hi Anders,

On Mi 06 Mär 2013 18:15:26 CET Anders Bruun Olsen wrote:

> 2013/3/6 Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
>>
>> Indeed the option agent-query-mode is ignored in
>> x2gobroker-sessionprofiles.**conf, as it is only available in the backend
>> sections of x2gobroker.conf.
>>
>
> Right. My mistake. My understanding was "per profile", not "per backend",
> even though it clearly says per-broker-backend in the comment. Concept
> confusion I'm afraid.
>
>
>> I see that the new autologin (which works) uses self.get_profile_broker()
>>> instead of self.config to access settings. This might be the source of the
>>> problem?
>>
>> I could not find the usage of self.get_profile_broker() in
>> self.get_agent_query_mode(). If I missed something, can you point me to the
>> exact line?
>>
>
> In branch 0.0.0.6 from git:
> abo@x2go-broker:~/x2gobroker/x2gobroker$ grep -n self.get_profile_broker
> brokers/base_broker.py
> 478:        _profile = self.get_profile_broker(profile_id)
> 504:        _profile = self.get_profile_broker(profile_id)
>
> But that was just me trying to figure out why the autologin setting was
> being picked up from x2gobroker-sessionprofiles.conf while agent-query-mode
> wasn't. Since the answer is, that it works as intended, this last part is a
> non-issue as well.

Marking this issue as done, then.

Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Wed, 06 Mar 2013 17:42:39 GMT) (full text, mbox, link).


Notification sent to Anders Bruun Olsen <abo@dsl.dk>:
Bug acknowledged by developer. (Wed, 06 Mar 2013 17:42:39 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Thu, 04 Apr 2013 05:24:02 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Fri Nov 15 04:57:12 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.